﻿package
{
	import flash.display.Shape;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import ch.badmojo.color.Color;
	import ch.badmojo.color.ColorWheel;

	public class Neiger extends Sprite
	{
		private var o:Object;
		private var i:uint;
		private var damp:Number = 0.01;
		private var px:Number = 0;
		private var py:Number = 0;
		
		private var color : Color = new Color(21, 88, 188);
		private var wheel : ColorWheel = color.getRange([100,100], [100,100], 20);
		private var color2:Color;
		private var ball_color	:Color;
		private var R:Number;
		private var G:Number;
		private var B:Number;
		
		public function Neiger()
		{
				o = new Object();
				i = 0;
				addEventListener(Event.ADDED_TO_STAGE,added_handler);	
		}
		private function added_handler(e:Event):void
		{
			addEventListener(Event.ENTER_FRAME, enterHandler);
			//=========================================RANDOM COLOR
			R = 0;
			G = 255;
			B = 0;
			//=========================================CREATE COLOR WHEEL
			var wheel:ColorWheel = new Color(0,255,0).toWarm(1);
			//wheel.darken(2);
	        //wheel.deSaturate(10);
			wheel.brighten(10);
			ball_color = wheel.getColor().rgbRotate( 180 );
			
		}
		private function enterHandler(e:Event):void
		{
			
			//graphics.lineStyle(1,0xffffff);
			with(addChild(o[i++]=new Shape())){
				
				graphics.beginFill(ball_color.getHex(), .7);
				graphics.drawCircle(1,1,Math.random()*20);
				graphics.drawCircle(1,1,Math.random()*20);
				graphics.drawCircle(1,1,Math.random()*20);
				graphics.drawCircle(1,1,Math.random()*30);
				x = mouseX;
				y = mouseY;
				z = Math.random()*7000;
				//trace("pos x :  " + x + "  |  pos y : " + y + "  |  pos z : " + z);
			}
			//rotationZ+=1;
			//z+=10;
			//y+=Math.random()*10;
			//x+=Math.random()*10;
			y += ((mouseY-stage.height/2)-y)*damp;
			x += ((mouseX-stage.width/2)-x)*damp;
			//px += (mouseX - px)*damp;
			//py += (mouseY - py)*damp;
			stage.addEventListener(MouseEvent.MOUSE_DOWN, clickHandler);
			addEventListener(MouseEvent.MOUSE_DOWN, clickHandler);
		}
		
		private function clickHandler(e:MouseEvent):void{
			for(var j:int = 0; j<i; j++){
				removeChild(o[j]);
			}
			i = 0;
			//=========================================RANDOM COLOR
			R = Math.random()*255;
			G = Math.random()*255;
			B = 0;
			//=========================================CREATE COLOR WHEEL
			var wheel:ColorWheel = new Color(R,G,B).toWarm(1);
			wheel.darken(20);
	        //wheel.deSaturate(10);
			//wheel.brighten(10);
			ball_color = wheel.getColor().rgbRotate( 180 );
		}
		
	}
}